//---------------------------------------------------------------------------

#ifndef PluginSettingsH
#define PluginSettingsH
//---------------------------------------------------------------------------
#include <System.hpp>
#include <vector>

struct PluginSettings
{
	AnsiString asCaptureDevice;

	enum { DEFAULT_SAMPLING_SPEED = 44100 };
	static std::vector<int> getSamplingSpeedVector(void);
	int samplingSpeed;

	//enum { DEFAULT_CHANNEL_CNT = 2 };
	//static std::vector<int> getChannelCntVector(void);
	//int channelCnt;

	static const float fDefaultSens;
	float fSens;
	int offset;

	enum { DEFAULT_OFFSET = 0 };

	PluginSettings(void):
		samplingSpeed(DEFAULT_SAMPLING_SPEED),
		fSens(0.0002198f),
		offset(0)
		//channelCnt(DEFAULT_CHANNEL_CNT)
	{}
};

extern PluginSettings pluginSettings;
extern PluginSettings initialPluginSettings;

#endif
