//---------------------------------------------------------------------------

#ifndef FormSettingsH
#define FormSettingsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
#include <vector>
#include <string>

class TfrmSettings : public TForm
{
__published:	// IDE-managed Components
	TComboBox *cbCaptureDevices;
	TLabel *lblCaptureDevice;
	TLabel *lblSamplingSpeed;
	TComboBox *cbSamplingSpeed;
	TLabel *Label1;
	TTimer *tmrRefreshAverageValues;
	TEdit *edAverageA;
	TEdit *edAverageB;
	TLabel *Label4;
	TLabel *Label5;
	TLabel *Label6;
	TLabel *Label7;
	TEdit *edSens;
	TLabel *Label8;
	TEdit *edOffset;
	TLabel *Label2;
	TLabel *Label3;
	TLabel *Label9;
	void __fastcall cbCaptureDevicesChange(TObject *Sender);
	void __fastcall cbSamplingSpeedChange(TObject *Sender);
	void __fastcall tmrRefreshAverageValuesTimer(TObject *Sender);
	void __fastcall edSensChange(TObject *Sender);
	void __fastcall edOffsetChange(TObject *Sender);
private:	// User declarations
public:		// User declarations
	__fastcall TfrmSettings(TComponent* Owner);
	void SetDevicesList(std::vector<std::string> devices);
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmSettings *frmSettings;
//---------------------------------------------------------------------------
#endif
